PowerPoint7GraphInternal Namespace Reference

Internal: the structures of a PowerPoint7Graph. More...

## Classes

struct | Frame
| Internal: a frame of a PowerPoint7Graph. More...
struct | FrameArc
| Internal: a frame rect of a PowerPoint7Graph. More...
struct | FrameGroup
| Internal: a group of a PowerPoint7Graph. More...
struct | FramePlaceholder
| Internal: a frame placeholder of a PowerPoint7Graph. More...
struct | FramePolygon
| Internal: a polygon of a PowerPoint7Graph. More...
struct | FrameRect
| Internal: a frame rect of a PowerPoint7Graph. More...
struct | Picture
| Internal: a picture of a PowerPoint7Graph. More...
struct | State
| Internal: the state of a PowerPoint7Graph. More...
class | SubDocument
| Internal: the subdocument of a PowerPoint7Graph. More...

## Variables

constexpr int | MAX_RECORD_NESTING = 1 << 10
| the maximum nesting level when reading nested container zones

## Detailed Description

Internal: the structures of a PowerPoint7Graph.

## Variable Documentation

## MAX_RECORD_NESTING

int PowerPoint7GraphInternal::MAX_RECORD_NESTING = 1 << 10

constexpr

the maximum nesting level when reading nested container zones

Referenced by PowerPoint7Graph::readGroup().